import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class PongWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class PongWorld extends World
{
private LeftCounter leftcounter; 
private  RightCounter rightcounter;

    /**
     * Constructor for objects of class PongWorld.
     * 
     */
    public PongWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        
        prepare();
      
        backGround();
        horizantalLines();
        verticalLines();

    }



    public void backGround()
    {
        GreenfootImage background = getBackground();

        background.setColor(Color.GREEN);//background set to BLACK
        background.fill();//fills background with color BLACK
        background.setFont(getBackground().getFont().deriveFont(15.f));//font size of Controls
        background.setColor(Color.RED);//string color set to GREEN
        background.drawString("Controls - ", 319, 398);//Controls Title for Player Two 
        background.drawString("UP is UP, DOWN is DOWN", 399, 398);//controls for Player Two
        background.setColor(Color.BLUE);
        background.drawString("Controls - ", 40, 398);//Controls Title for Player One
        background.drawString("W is UP, S is DOWN", 120, 398);//controls for Player One
        background.setFont(getBackground().getFont().deriveFont(24.f));//font size of Player 1-2 set
        background.setColor(Color.BLUE);//string color set to BLUE
        background.drawString("Player One", 13,23);//Player One Title
        background.drawLine(0, 30, 150, 30);//line under Player One
        background.drawLine(150, 0, 150, 30);//line right of Player One
        background.setColor(Color.RED);
        background.drawString("Player Two", 463, 23);//Player Two Title        
        background.drawLine(570, 375, 600, 375);//line at bottom of screen on Player Two side
        background.drawLine(450, 30, 600, 30);//line under Player Two
        background.drawLine(450, 0, 450, 30);//line left of Player Two
        background.setFont(getBackground().getFont().deriveFont(45.f));//font size of Score set
        background.setColor(Color.MAGENTA);//color of score set to BLUE
        background.drawString("Score", 240, 38);//score Title
        background.setColor(Color.BLACK);
        background.drawLine(0, 383, 600, 383);
        background.drawLine(0, 382, 600, 382);
        background.drawLine(0, 384, 600, 384);
        background.setColor(Color.WHITE);//line color set to WHITE
        background.drawLine(300, 45, 300, 400);//center line
        background.drawLine(299, 45, 299, 400);
        background.drawLine(120, 200, 120, 230);
        background.drawLine(119, 200, 119, 230);
        background.drawLine(121, 200, 121, 230);
        background.drawLine(480, 200, 480, 230);
        background.drawLine(479, 200, 479, 230);
        background.drawLine(481, 200, 481, 230);
        background.drawLine(298, 45, 298, 400);        
        background.drawLine(301, 45, 301, 400);
        background.drawLine(302, 45, 302, 400); 
        background.drawLine(300, 300, 300, 400);
        background.drawOval(225, 140, 150, 150);//Center circle
        background.drawOval(225, 140, 149, 149);
        background.drawOval(226, 141, 148, 148);
        background.drawOval(226, 141, 149, 149);
        background.drawOval(227, 142, 146, 146);
        background.drawOval(227, 142, 147, 147);
        background.drawLine(150, 45, 450, 45);//line on top of center line
        background.drawLine(151, 44, 449, 44);
        background.setColor(Color.BLACK);
        background.setColor(Color.BLACK);
        background.drawLine(0, 46, 600, 46);
        background.drawLine(0, 47, 600, 47);
        background.drawLine(0, 48, 600, 48);
        background.drawLine(300, 382, 300, 400);
        background.drawLine(299, 382, 299, 400);
        background.drawLine(298, 382, 298, 400);
        background.drawLine(301, 382, 301, 400);
        background.drawLine(302, 382, 302, 400);
        background.setColor(Color.BLUE);
        background.drawLine(150, 31, 150, 45);//line to the right of Player One
        background.setColor(Color.RED);//line color set to RED
        background.drawLine(450, 31, 450, 45);//line to the left of Player Two
    }

    public void verticalLines()
    {
        GreenfootImage background = getBackground();
        background.setColor(Color.BLACK);//string color set to RED
        background.drawLine(570, 55, 570, 375);//up-down line on Player Two side
        background.drawLine(30, 55, 30, 375);//up-downs line on Player One side
        background.drawLine(26, 55, 26, 375);
        background.drawLine(22, 55, 22, 375);
        background.drawLine(18, 55, 18, 375);
        background.drawLine(14, 55, 14, 375);
        background.drawLine(10, 55, 10, 375);
        background.drawLine(6, 55, 6, 375);
        background.drawLine(2, 55, 2, 375);
        background.drawLine(574, 55, 574, 375);//up-downs line on Player Two side
        background.drawLine(578, 55, 578, 375);
        background.drawLine(582, 55, 582, 375);
        background.drawLine(586, 55, 586, 375);
        background.drawLine(590, 55, 590, 375);
        background.drawLine(594, 55, 594, 375);
        background.drawLine(598, 55, 598, 375);
        background.setColor(Color.WHITE);
        background.drawLine(90, 125, 90, 305);
        background.drawLine(89, 125, 89, 305);
        background.drawLine(88, 125, 88, 305);
        background.drawLine(510, 125, 510, 305);
        background.drawLine(509, 125, 509, 305);
        background.drawLine(508, 125, 508, 305);
        background.drawLine(450, 55, 450, 375);
        background.drawLine(449, 55, 449, 375);
        background.drawLine(448, 55, 448, 375);
    }

    public void horizantalLines()
    {
        GreenfootImage background = getBackground();
        background.setColor(Color.WHITE);//line color set to WHITE
        background.drawLine(31, 125, 90, 125);
        background.drawLine(31, 124, 90, 124);
        background.drawLine(31, 126, 90, 126);
        background.drawLine(569, 127, 510, 127);
        background.drawLine(569, 126, 510, 126);
        background.drawLine(569, 125, 510, 125);
        background.drawLine(569, 305, 510, 305);
        background.drawLine(569, 306, 508, 306);
        background.drawLine(569, 307, 508, 307);
        background.drawLine(448, 54, 600, 54);
        background.drawLine(448, 53, 600, 53);
        background.drawLine(448, 52, 600, 52);
        background.drawLine(448, 376, 600, 376);
        background.drawLine(448, 377, 600, 377);
        background.drawLine(448, 378, 600, 378);
        background.drawLine(31, 305, 90, 305);
        background.drawLine(31, 306, 90, 306);
        background.drawLine(31, 307, 90, 307);
        background.drawLine(0, 54, 150, 54);
        background.drawLine(0, 53, 150, 53);
        background.drawLine(0, 52, 150, 52);
        background.drawLine(150, 55, 150, 375);
        background.drawLine(149, 55, 149, 375);
        background.drawLine(148, 55, 148, 375);
        background.drawLine(0, 376, 150, 376);
        background.drawLine(0, 377, 150, 377);
        background.drawLine(0, 378, 150, 378);
        background.setColor(Color.BLACK);//string color set to RED
        background.drawLine(0, 375, 30, 375);//lines at bottom of screen on Player One side
        background.drawLine(0, 370, 30, 370);
        background.drawLine(0, 365, 30, 365);
        background.drawLine(0, 360, 30, 360);
        background.drawLine(0, 355, 30, 355);
        background.drawLine(0, 350, 30, 350);
        background.drawLine(0, 345, 30, 345);
        background.drawLine(0, 340, 30, 340);
        background.drawLine(0, 335, 30, 335);
        background.drawLine(0, 330, 30, 330);
        background.drawLine(0, 325, 30, 325);
        background.drawLine(0, 320, 30, 320);
        background.drawLine(0, 315, 30, 315);
        background.drawLine(0, 310, 30, 310);
        background.drawLine(0, 305, 30, 305);
        background.drawLine(0, 300, 30, 300);
        background.drawLine(0, 295, 30, 295);
        background.drawLine(0, 290, 30, 290);
        background.drawLine(0, 285, 30, 285);
        background.drawLine(0, 280, 30, 280);
        background.drawLine(0, 275, 30, 275);
        background.drawLine(0, 270, 30, 270);
        background.drawLine(0, 265, 30, 265);
        background.drawLine(0, 260, 30, 260);
        background.drawLine(0, 255, 30, 255);
        background.drawLine(0, 250, 30, 250);
        background.drawLine(0, 245, 30, 245);
        background.drawLine(0, 240, 30, 240);
        background.drawLine(0, 235, 30, 235);
        background.drawLine(0, 230, 30, 230);
        background.drawLine(0, 225, 30, 225);
        background.drawLine(0, 220, 30, 220);
        background.drawLine(0, 215, 30, 215);
        background.drawLine(0, 210, 30, 210);
        background.drawLine(0, 205, 30, 205);
        background.drawLine(0, 200, 30, 200);
        background.drawLine(0, 195, 30, 195);
        background.drawLine(0, 190, 30, 190);
        background.drawLine(0, 185, 30, 185);
        background.drawLine(0, 180, 30, 180);
        background.drawLine(0, 175, 30, 175);
        background.drawLine(0, 170, 30, 170);
        background.drawLine(0, 165, 30, 165);
        background.drawLine(0, 160, 30, 160);
        background.drawLine(0, 155, 30, 155);
        background.drawLine(0, 150, 30, 150);
        background.drawLine(0, 145, 30, 145);
        background.drawLine(0, 140, 30, 140);
        background.drawLine(0, 135, 30, 135);
        background.drawLine(0, 130, 30, 130);
        background.drawLine(0, 125, 30, 125);
        background.drawLine(0, 120, 30, 120);
        background.drawLine(0, 115, 30, 115);
        background.drawLine(0, 110, 30, 110);
        background.drawLine(0, 105, 30, 105);
        background.drawLine(0, 100, 30, 100);
        background.drawLine(0, 95, 30, 95);
        background.drawLine(0, 90, 30, 90);
        background.drawLine(0, 85, 30, 85);
        background.drawLine(0, 80, 30, 80);
        background.drawLine(0, 75, 30, 75);
        background.drawLine(0, 70, 30, 70);
        background.drawLine(0, 65, 30, 65);
        background.drawLine(0, 60, 30, 60);
        background.drawLine(0, 55, 30, 55);
        background.drawLine(570, 375, 600, 375);//lines at bottom of screen on Player Two side
        background.drawLine(570, 370, 600, 370);
        background.drawLine(570, 365, 600, 365);
        background.drawLine(570, 360, 600, 360);
        background.drawLine(570, 355, 600, 355);
        background.drawLine(570, 350, 600, 350);
        background.drawLine(570, 345, 600, 345);
        background.drawLine(570, 340, 600, 340);
        background.drawLine(570, 335, 600, 335);
        background.drawLine(570, 330, 600, 330);
        background.drawLine(570, 325, 600, 325);
        background.drawLine(570, 320, 600, 320);
        background.drawLine(570, 315, 600, 315);
        background.drawLine(570, 310, 600, 310);
        background.drawLine(570, 305, 600, 305);
        background.drawLine(570, 300, 600, 300);
        background.drawLine(570, 295, 600, 295);
        background.drawLine(570, 290, 600, 290);
        background.drawLine(570, 285, 600, 285);
        background.drawLine(570, 280, 600, 280);
        background.drawLine(570, 275, 600, 275);
        background.drawLine(570, 270, 600, 270);
        background.drawLine(570, 265, 600, 265);
        background.drawLine(570, 260, 600, 260);
        background.drawLine(570, 255, 600, 255);
        background.drawLine(570, 250, 600, 250);
        background.drawLine(570, 245, 600, 245);
        background.drawLine(570, 240, 600, 240);
        background.drawLine(570, 235, 600, 235);
        background.drawLine(570, 230, 600, 230);
        background.drawLine(570, 225, 600, 225);
        background.drawLine(570, 220, 600, 220);
        background.drawLine(570, 215, 600, 215);
        background.drawLine(570, 210, 600, 210);
        background.drawLine(570, 205, 600, 205);
        background.drawLine(570, 200, 600, 200);
        background.drawLine(570, 195, 600, 195);
        background.drawLine(570, 190, 600, 190);
        background.drawLine(570, 185, 600, 185);
        background.drawLine(570, 180, 600, 180);
        background.drawLine(570, 175, 600, 175);
        background.drawLine(570, 170, 600, 170);
        background.drawLine(570, 165, 600, 165);
        background.drawLine(570, 160, 600, 160);
        background.drawLine(570, 155, 600, 155);
        background.drawLine(570, 150, 600, 150);
        background.drawLine(570, 145, 600, 145);
        background.drawLine(570, 140, 600, 140);
        background.drawLine(570, 135, 600, 135);
        background.drawLine(570, 130, 600, 130);
        background.drawLine(570, 125, 600, 125);
        background.drawLine(570, 120, 600, 120);
        background.drawLine(570, 115, 600, 115);
        background.drawLine(570, 110, 600, 110);
        background.drawLine(570, 105, 600, 105);
        background.drawLine(570, 100, 600, 100);
        background.drawLine(570, 95, 600, 95);
        background.drawLine(570, 90, 600, 90);
        background.drawLine(570, 85, 600, 85);
        background.drawLine(570, 80, 600, 80);
        background.drawLine(570, 75, 600, 75);
        background.drawLine(570, 70, 600, 70);
        background.drawLine(570, 65, 600, 65);
        background.drawLine(570, 60, 600, 60);
        background.drawLine(570, 55, 600, 55);
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        leftcounter = new LeftCounter();
        addObject(leftcounter, 300, 25);
        leftcounter.setLocation(195, 25);
        rightcounter = new RightCounter();
        addObject(rightcounter, 406, 25);
        Ball ball = new Ball(leftcounter,rightcounter);
        addObject(ball, 300, 215);                
        Goalie2 goalie2 = new Goalie2(leftcounter);
        addObject(goalie2, 30, 219);
        Goalie1 goalie1 = new Goalie1(rightcounter);
        addObject(goalie1, 579, 215);
        goalie1.setLocation(574, 214);
        goalie2.setLocation(25, 215);
        goalie1.setLocation(575, 215);
        
        
    }
}
